How to subscribe

More about the site

Frequently asked questions

Database status

American Civil War Research Database
Computer Requirements

Netscape 3.01 or Higher
Microsoft Internet Explorer 3.02 or Higher

NOTE: For AOL Subscribers, version 3.0 or Higher

You will need to enable the following browser features: Java, JavaScript.
You will also need to accept 'cookies' in order to query the Database.
(most browsers will already have the proper settings)

Please Note: The site IS compatible with WebTV